# 32/64bit spec-file
#
%define __libtoolize    /bin/true

%define url_ver %(echo %{version} | cut -c 1-3)
%define major 0
%define api 1
%define libname %mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} -d

Summary: 	A thumbnail D-Bus service
Summary(de):	Ein Vorschaubild D-Bus Service
Name: 		tumbler
Version: 	0.2.0
Release: 	%mkrel 1
License:	GPLv2+
Group: 		Graphical desktop/Xfce
URL:		http://git.xfce.org/apps/tumbler
Source0: 	http://archive.xfce.org/src/apps/tumbler/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	freetype2-devel
BuildRequires:	xfce4-dev-tools
#---fixed this for 64bit--------------------
BuildRequires:	%{_lib}ffmpegthumbnailer4
#-----------------------------------------
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}ffmpegthumbnailer-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gsf-1_114-devel
BuildRequires: %{_lib}gstreamer-plugins-base1.0-devel
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}openraw-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}poppler-glib-devel
BuildRequires: %{_lib}xml2-devel
#-----------------------------------------------------
Requires:	%{libname} = %{version}-%{release}
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
Tumbler is a D-Bus service for applications to request 
thumbnails for various URI schemes and MIME types.
It is an implementation of the thumbnail management D-Bus 
specification.

%description -l de
Tumbler ist ein D-Bus Service für Programme zum Erfragen von
Vorschaubildern für verschiedene URI Schemata und MIME-Typen.
Es ist eine Implementierung der D-Bus Vorschaubildverwaltungs-
spezifikation.

%package -n %{libname}
Summary:	A D-bus thumbnailing framework
Summary(de):	Ein d-Bus Thumbnailing framework
Group:		System/Libraries

%description -n %{libname}
Tumbler is a D-Bus service for applications to request 
thumbnails for various URI schemes and MIME types.

%description -n %{libname} -l de
umbler ist ein D-Bus Service für Programme zum Erfragen von
Vorschaubildern für verschiedene URI Schemata und MIME-Typen.

%package -n %{develname}
Summary:	Development files for %{name}
Summary(de):	Entwicklerdateien für %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%description -n %{develname} -l de
Entwicklerdateien und Header für %{name}

%prep
%setup -q

%build
#./autogen.sh
%configure2_5x --disable-static --enable-gtk-doc

%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -rf %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README TODO
%{_libdir}/tumbler-1/%{name}d
%{_libdir}/tumbler-1/plugins
%{_datadir}/dbus-1/services/*.service
%{_datadir}/locale/*
%{_sysconfdir}/xdg/%{name}/%{name}.rc

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*%{name}-%{api}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/%{name}-%{api}
%dir %{_includedir}/%{name}-%{api}/%{name}
%{_libdir}/*%{name}-%{api}.so
%{_includedir}/%{name}-%{api}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Fri Jul 28 2017 ghostbunny <ghostbunny at gmx dot de> 0.2.0-1pclos2017
- 0.2.0

* Mon Mar 02 2015 ghostbunny <ghostbunny at gmx dot de> 0.1.31-1pclos2015
- 0.1.31

* Tue Mar 04 2014 bb <bb> 0.1.30-2pclos2014
- fix br for build on 64bit

* Tue Feb 25 2014 ghostbunny <ghostbunny at gmx dot de> 0.1.30-1pclos2014
- 0.1.30
- remove ldconfig post and postun scripts

* Mon May 06 2013 ghostbunny <ghostbunny at gmx dot de> 0.1.29-1pclos2013
- 0.1.29

* Sun May 05 2013 ghostbunny <ghostbunny at gmx dot de> 0.1.28-1pclos2013
- 0.1.28
- added BR libffmpegthumbnailer4

* Sun Jan 13 2013 ghostbunny <ghostbunny at gmx dot de> 0.1.27-1pclos2013
- 0.1.27
- added some BR to improve the number of supported media
- fixed files section (removed changelog does not exist, added sysconfdir)

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 0.1.25-1pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 0.1.25-1pclos2012
- process

* Wed Aug 29 2012 ghostbunny <ghostbunny at gmx dot de> 0.1.25-1pclos2012
- 0.1.25
- added german summaries and descriptions
- added %{_lib} macros

* Thu Mar 01 2012 Neal <nealbrks0 at gmail dot com> 0.1.23-1pclos2012
- process

* Thu Mar 01 2012 Sproggy <desproggster at gmail.com> 0.1.23-1pclos2012
- update

* Mon Nov 08 2010 Texstar <texstar at gmail.com> 0.1.2-2pclos2010
- convert source to tar.xz
- add post scripts for pclos

* Sun Oct 24 2010 Sproggy <desproggster@gmail.com> 0.1.2-1pclos2010
- Initial build for PCLOS


